load AV_8Walk_Sean_Unseg.mat

skel.type = 'ms2';

% make sure the dataset is balanced for each VA combination
% totalframes = 0;
% for ii=1:length(Motion)
%   totalframes = totalframes + size(Motion{ii},1);
%   disp(size(Motion{ii},1));
% end


desc = {'HVHA','NVHA','LVHA','HVLA','NVLA','LVLA','HVNA','LVNA','NVNA'};
labs      = {[3,3],  [2,3], [1,3], [3,1], [2,1], [1,1], [3,2], [1,2], [2,2]};
  

files = dir('../Data/AVSegments/8Walk/*sean*.txt');
RemoveTPose;

for jj=1:length(Motion)
    
%    Labels{jj} = zeros(size(Motion{jj},1),numlabels,'single'); %one-hot
    Labels{jj}=repmat(labs{jj},size(Motion{jj},1),1);     
end




% totalframes = 0;
% for ii=1:length(Motion)
%   totalframes = totalframes + size(Motion{ii},1);
%   disp(size(Motion{ii},1));
% end

